using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TIS.Imaging;

namespace ISCamRecorder {
    internal class SinkListener : IFrameQueueSinkListener {
        public void FramesQueued(FrameQueueSink sink) {
            if (sink.InputQueueSize == 0) {
                sink.QueueBuffer(sink.PopOutputQueueBuffer());
            }
        }

        public void SinkConnected(FrameQueueSink sink, FrameType frameType) {
        }

        public void SinkDisconnected(FrameQueueSink sink, IFrameQueueBuffer[] dequeuedBuffers) {

        }
    }
}
